#version 430

in vec3 position;
in vec3 normal;

out vec3 worldNormal;

uniform mat4 model;

// spter aufteilen! momentan nur projection
//uniform mat4 view_project;
uniform mat4 project;
uniform mat4 view;

void main() {
	
	//falls non-uniforme skalierung: wie in ECG normalMatrix = inv transposed
	//nur rotationen: egal
	
	worldNormal = (model * vec4(normal,0)).xyz;
	gl_Position = project * view * model * vec4(position, 1);
}