#version 330

layout(location = 0) in vec3 position;
layout(location = 1) in vec3 normal;

uniform mat4 project; //projection matrix
uniform mat4 view;          //view matrix
uniform mat4 model; //model matrix


void main(void) {
	gl_Position = project * view * model * vec4(position, 1);
}